<ng-template #view let-c="close" let-d="dismiss">

</ng-template>
<div class="row text-left">
  <div class="col-12">
    <div class="content-header">การโอนเงินให้ผู้ขาย </div>
    <!-- <p class="content-sub-header">All table styles are inherited in Bootstrap 4, meaning any nested tables will be
      styled in the same manner as the parent.</p> -->
  </div>
</div>
<!--Basic Table Ends-->

<!--Hoverable Rows Starts-->
<section id="hoverable-rows">
  <div class="row text-left">
    <div class="col-sm-12">
      <div class="card">
        <div class="card-content">

          <div class="card-body">
            <div class="text-right" style="margin-top: -10px; margin-bottom: 55px;">
              <form class="navbar-form navbar-right mt-1" [formGroup]="searchForm" (ngSubmit)="search()">
                <div class="position-relative has-icon-right">
                  <input class="form-control round" formControlName="search" placeholder="Search" type="text">
                  <div class="form-control-position">
                    <i class="ft-search"></i>
                  </div>
                </div>
              </form>
            </div>
            <table class="table table-hover">
              <thead>
                <tr>
                  <th style="width: 50px;">#</th>
                  <th style="width: 120px;">Order ID</th>
                  <th>ชื่อ-สกุล</th>
                  <!-- <th>เลขที่บัญชี</th> -->
                  <th>ยอดเงินที่ต้องโอน</th>
                  <th>สถานะ</th>
                  <th >หลักฐาน</th>
                  <!-- <th>วันที่โอน</th> -->
                  <th style="width: 220px;" class="text-center">จัดการ</th>
                </tr>
              </thead>
              <tbody>
                <tr *ngFor="let d of order let i = index">
                  <td>{{i+1}}</td>
                  <td>{{d.order_id}}</td>
                  <td>{{d.sale_name}}</td>
                  <!-- <td>
                    <select *ngIf="d.bank != ''" name="bank_selected" #bbank (change)="sbank(bbank.value,d.order_id)" [disabled]="d.status>3" >
                      <option [value]='noselect' >เลือกบัญชีธนาคาร</option>
                      <option *ngFor="let b of d.bank" [value]='b.bb_id'>{{b.no}} ({{b.bank}})</option>
                    </select>
                    <span *ngIf="d.bank == ''">ไม่พบเลขที่บัญชี</span>
                  </td> -->
                  <td>{{d.com_price|number}} บาท </td>
                  <!-- <td>1/1/2020</td> -->
                  <td>
                    <span *ngIf="d.status == 3" class="badge badge-secondary">รอการโอน</span>
                    <span *ngIf="d.status == 4" class="badge badge-success">โอนสำเร็จ</span>
                  </td>
                  <td>
                    <img style="width: 60px;" *ngIf="d.status == 4" src="{{d.pic}}" (click)="open(d)">
                    <span *ngIf="d.status == 3">รอการโอน</span>
                  </td>
                  <td>
                    <button [disabled]="d.status>3 || admin.type > 2" href="javascript:void(0)"
                      class="btn btn-raised mr-1 btn-primary btn-sm" (click)="continue(d)"><i class="fa fa-check"></i>
                      แนบหลักฐาน</button>
                    <button [disabled]="true" href="javascript:void(0)" (click)="cancel()"
                      class="btn btn-raised mr-1 btn-sm btn-danger"><i class="fa fa-times"></i> ปฏิเสธ</button>
                  </td>
                </tr>

              </tbody>
            </table>
            <div class="col-12 justify-content-center">
              <ngb-pagination [collectionSize]="all_page" (pageChange)="change_page($event)"
                class="justify-content-center" [pageSize]='20' [(page)]="page"></ngb-pagination>
            </div>
          </div>
        </div>
      </div>
    </div>
  </div>
</section>
<!--Hoverable rows Ends-->